Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Wed, 23 Jul 2008 23:59:54 +0200

On Wed, 23 Jul 2008, Petr Baudis wrote:
> On Wed, Jul 23, 2008 at 03:25:03AM +0200, Jakub Narebski wrote:
> >
> >    18. Which (main) git web interface do you use for your projects?
> >        (zero or more: multiple choice)
> >      - gitweb, cgit, wit (Ruby), git-php, viewgit (PHP), other
> >      + should there be a question about web server (Apache, IIS, ...)
> >        used to host git web interface?
> >    18b.If you selected "other web interface", what it was?
> >        (free form)
> 
> I think many people "just use GitHub", or repo.or.cz, or Gitorious; for
> GitHub or Gitorious, there's even no good answer to the question above.

For Gitorious there is a good answer: Gitorious web interface (which
is OSS, and you can deploy on your own).

> So I would either make a separate question for these or include them in
> the list above.

Fact, I have forgot to add question about which git hosting site one
uses; I have meant to add it in the second version of proposal for
Git User's Survey 2008 questions list.

   xx. Which git hosting site do you use for your projects?
       (zero or more: multiple choice)
     - repo.or.cz, GitHub, Gitorious, kernel.org, freedesktop.org,
       Savannah, Assembla, Unfuddle, Alioth, Fedora Hosted, other
     + of course "if other, which"
     + should some other web hosting sites be included as well?

> >    19. How do you publish/propagate your changes?
> >        (zero or more: multiple choice)
> >      - push, pull request, format-patch + email, bundle, other
> 
> I agree about the git-svn mention.

I'll add it, then.

-- 
Jakub Narebski
Poland